Skip to main content

Consumer Score Report

GET: https://api.creditchek.africa/v1/credit/ke/creditInfo-score?nationalID=5392

Request Parameters​

NamePositionRequiredDescription
tokenHeadersTrueapp secret key
nationalIDqueryTrueidentity number
Example Request
---
curl --location --request GET 'https://api.creditchek.africa/v1/credit/ke/creditInfo-score?nationalID=5392' \
--header 'token: {{token}}'
---
Sample Response
{
"status": true,
"data": {
"_id": "636e768d8215a2e2fb06cfde",
"nationalID": "5392",
"fullName": "surname 5392 Othernames 5392",
"gender": "M",
"dateOfBirth": "1970-04-04T00:00:00-05:00",
"surname": "surname 5392",
"otherNames": "Othernames 5392",
"searchedDate": "2025-04-29T11:12:14.145Z",
"score": {
"extract": {
"Data": {
"response": {
"status": "ok",
"Strategy": {
"Id": "XXXXXXX",
"Name": "5. Spin Mobile - Credit Score",
"BeeStrategy": "CBS.CreditScore",
"TemplateName": "2025_Consumer_CreditReport",
"SubscriberId": "XXXXXXXX",
"ReturnOutputDataInSteps": "false"
},
"ConsolidatedReport": {
"General": {
"DocumentID": "XXXXXXXX",
"ReportDate": "2025-11-26T10:55:27.9552298Z",
"FullName": "XXXXXXX",
"ReferenceNumber": "XXXXXXX"
},
"ScoringAnalysis": {
"CIPScore": "588",
"CIPRiskGrade": "D3"
},
"ReasonandRecommendations": {
"ReasonList": [
{
"ReasonCode": "MSS",
"Description": "Subject has missed at least 1 payment in the last 1 year.",
"Recommendation": "Please update payment profile and keep payments up to date.",
"ReasonStatement": "Missed Payments"
},
{
"ReasonCode": "DPM",
"Description": "Subject has missed payments on mobile loan(s) for the last 6 months.",
"Recommendation": "Please update payment profile on mobile loan(s) and keep payments up to date.",
"ReasonStatement": "Outstanding Mobile Loan(s)"
}
]
}
}
},
"Timestamp": "2025-11-26T10:55:29.7794956Z",
"transaction_ref": "[TX-REF]",
"amount_paid": "50"
}
}
}
},
"message": "Request successful",
"error": false
}